org.eclipse.rdf4j.rio.helpers

## Class BooleanRioSetting

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRioSetting<Boolean>
  - - org.eclipse.rdf4j.rio.helpers.BooleanRioSetting

- All Implemented Interfaces:
    Serializable, RioSetting<Boolean>

      public class BooleanRioSetting
      extends AbstractRioSetting<Boolean>

  A `RioSetting` with a `Boolean` value. The given default for the setting can be overridden by means of a System property with a name equal to the setting key, and a string value of "true" or "false" (ignoring case).
  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanRioSetting(String key, String description, Boolean defaultValue)` Creates a new boolean `RioSetting`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `convert(String stringValue)` Converts a String to a Boolean

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRioSetting

      `equals, getDefaultValue, getDescription, getKey, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanRioSetting

          public BooleanRioSetting(String key,
                                   String description,
                                   Boolean defaultValue)

      Creates a new boolean `RioSetting`.
      Parameters:
        `key` - A unique key to use for this setting.
        `description` - A short human-readable description for this setting.
        `defaultValue` - An immutable value specifying the default for this setting.

  - ### Method Detail

    - #### convert

          public Boolean convert(String stringValue)

      Converts a String to a Boolean
      Parameters:
        `stringValue` - a string representation of a value for this setting.
      Returns:
        a Boolean representing the supplied string value. Iff the string value is "true" (ignoring case), the returned Boolean will be `true`, otherwise `false`.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.